import AnimationPhases from "./AnimationPhases";
import { CombinedStyleCalculator, StyleCalculators, NextPhaseCheckers, ExtendedPlainMotionStyle } from "./types";
export declare function isCurPhaseEnd(prevStyles: ExtendedPlainMotionStyle[], nextPhaseCheckers: NextPhaseCheckers): boolean;
export declare function buildStyleCalculator(styleCalculators: StyleCalculators, phase: AnimationPhases, nextPhaseCheckers: NextPhaseCheckers, nextPhase: (curPhase: AnimationPhases) => void): CombinedStyleCalculator;
export declare function calcKeys(newPlayKey: "play1" | "play2"): {
    newPlayKey: "play2";
    oldPlayKey: string;
} | {
    newPlayKey: "play1";
    oldPlayKey: string;
};
