import { bundleToComponent } from "redux-arena/tools";
import { withRouter } from "react-router-dom";
import ArenaSwitchMotion from "./ArenaSwitchMotion";
import actions from "./actions";
import reducer from "./reducer";
export default withRouter(bundleToComponent({
    Component: ArenaSwitchMotion,
    actions: actions,
    reducer: reducer,
    options: {
        vReducerKey: "_arenaSwitchAnimation"
    }
}));
export { default as AnimationPhases } from "./AnimationPhases";
