/// <reference types="react" />
import * as React from "react";
import { ArenaSwitchAnimationConnectedProps, ExtendedMotionStyle, CombinedStyleCalculator } from "./types";
export declare type InnerState = {
    initStyles: ExtendedMotionStyle[];
    styleCalculator: CombinedStyleCalculator;
    playElement: React.ReactElement<{}> | null;
    oldPlayKey: "play1" | "play2";
    newPlayKey: "play1" | "play2";
};
export default class ArenaSwitchAnimation extends React.Component<ArenaSwitchAnimationConnectedProps, InnerState> {
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: ArenaSwitchAnimationConnectedProps): void;
    render(): JSX.Element;
}
