Object.defineProperty(exports, "__esModule", { value: true });
var tools_1 = require("redux-arena/tools");
var react_router_dom_1 = require("react-router-dom");
var ArenaSwitchMotion_1 = require("./ArenaSwitchMotion");
var actions_1 = require("./actions");
var reducer_1 = require("./reducer");
exports.default = react_router_dom_1.withRouter(tools_1.bundleToComponent({
    Component: ArenaSwitchMotion_1.default,
    actions: actions_1.default,
    reducer: reducer_1.default,
    options: {
        vReducerKey: "_arenaSwitchAnimation"
    }
}));
var AnimationPhases_1 = require("./AnimationPhases");
exports.AnimationPhases = AnimationPhases_1.default;
